UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbmmon_transport_func_t_stct Struct Reference

Transport module function pointer container. More...

`#include <lbmmon.h>`

## Data Fields
lbmmon_transport_initsrc_t | mInitSource
lbmmon_transport_initrcv_t | mInitReceiver
lbmmon_transport_send_t | mSend
lbmmon_transport_receive_t | mReceive
lbmmon_transport_finishsrc_t | mFinishSource
lbmmon_transport_finishrcv_t | mFinishReceiver
lbmmon_transport_errmsg_t | mErrorMessage
lbmmon_transport_ctrlmsgtarget_t | mControlMessageTarget
lbmmon_transport_ctrlmsg_receive_t | mControlMessageReceive
lbmmon_transport_ctrlmsg_response_t | mControlMessageResponse
lbmmon_transport_allow_debug_t | mAllowDebug

## Detailed Description

Transport module function pointer container.

## Field Documentation

lbmmon_transport_allow_debug_t lbmmon_transport_func_t_stct::mAllowDebug

Function to return allow debug indicator.

lbmmon_transport_ctrlmsg_receive_t lbmmon_transport_func_t_stct::mControlMessageReceive

Function to receive a control message request.

lbmmon_transport_ctrlmsg_response_t lbmmon_transport_func_t_stct::mControlMessageResponse

Function to send a control message response.

lbmmon_transport_ctrlmsgtarget_t lbmmon_transport_func_t_stct::mControlMessageTarget

Function to return the target address for control message requests.

lbmmon_transport_errmsg_t lbmmon_transport_func_t_stct::mErrorMessage

Function to return a message describing the last error encountered.

lbmmon_transport_finishrcv_t lbmmon_transport_func_t_stct::mFinishReceiver

Finish processing for a receiver transport.

lbmmon_transport_finishsrc_t lbmmon_transport_func_t_stct::mFinishSource

Finish processing for a source transport.

lbmmon_transport_initrcv_t lbmmon_transport_func_t_stct::mInitReceiver

Initialize module as a statistics receiver.

lbmmon_transport_initsrc_t lbmmon_transport_func_t_stct::mInitSource

Initialize module as a statistics source.

lbmmon_transport_receive_t lbmmon_transport_func_t_stct::mReceive

Receive statistics data.

lbmmon_transport_send_t lbmmon_transport_func_t_stct::mSend

Send a statistics packet.

The documentation for this struct was generated from the following file:

- lbmmon.h